> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Directory Demand Admin



## OpenAPI

````yaml /openapi.json get /admin/api/directory-demand
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/directory-demand:
    get:
      tags:
        - Directory Demand Admin
      summary: List Directory Demand Admin
      operationId: DirectoryDemandAdminController_list
      parameters:
        - name: status
          required: false
          in: query
          schema:
            default: needs_curation
            type: string
            enum:
              - needs_curation
              - covered
              - all
        - name: minWorkspaces
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 10
            default: 2
            type: integer
        - name: query
          required: false
          in: query
          schema:
            maxLength: 2048
            default: ''
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            maxLength: 512
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectoryDemandPageResponseDto'
components:
  schemas:
    DirectoryDemandPageResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DirectoryDemandGroupResponseDto'
        hasMore:
          type: boolean
        nextCursor:
          type: string
          nullable: true
        summary:
          $ref: '#/components/schemas/DirectoryDemandSummaryResponseDto'
      required:
        - items
        - hasMore
        - nextCursor
        - summary
    DirectoryDemandGroupResponseDto:
      type: object
      properties:
        key:
          type: string
        name:
          type: string
        names:
          type: array
          items:
            $ref: '#/components/schemas/DirectoryDemandNameResponseDto'
        hosts:
          type: array
          items:
            $ref: '#/components/schemas/DirectoryDemandHostResponseDto'
        workspaceCount:
          type: number
        contactCount:
          type: number
        workspaces:
          type: array
          items:
            $ref: '#/components/schemas/DirectoryDemandWorkspaceResponseDto'
        lastAddedAt:
          type: string
        status:
          type: string
          enum:
            - covered
            - unlisted
            - partially_listed
        listings:
          type: array
          items:
            $ref: '#/components/schemas/DirectoryDemandListingResponseDto'
        suggested:
          $ref: '#/components/schemas/DirectoryDemandSuggestionResponseDto'
      required:
        - key
        - name
        - names
        - hosts
        - workspaceCount
        - contactCount
        - workspaces
        - lastAddedAt
        - status
        - listings
        - suggested
    DirectoryDemandSummaryResponseDto:
      type: object
      properties:
        needsCuration:
          type: number
        covered:
          type: number
      required:
        - needsCuration
        - covered
    DirectoryDemandNameResponseDto:
      type: object
      properties:
        value:
          type: string
        count:
          type: number
      required:
        - value
        - count
    DirectoryDemandHostResponseDto:
      type: object
      properties:
        host:
          type: string
        sources:
          type: array
          items:
            type: string
            enum:
              - company.domain
              - company.website
              - contact.email
        count:
          type: number
      required:
        - host
        - sources
        - count
    DirectoryDemandWorkspaceResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        contactCount:
          type: number
      required:
        - id
        - name
        - contactCount
    DirectoryDemandListingResponseDto:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/GlobalCompanyResponseDto'
        nameMatch:
          type: boolean
        matchingHosts:
          type: array
          items:
            type: string
        uncoveredNames:
          type: array
          items:
            type: string
        uncoveredHosts:
          type: array
          items:
            type: string
      required:
        - company
        - nameMatch
        - matchingHosts
        - uncoveredNames
        - uncoveredHosts
    DirectoryDemandSuggestionResponseDto:
      type: object
      properties:
        name:
          type: string
        primaryType:
          enum:
            - brand
            - rep
            - dealer
            - distributor
          type: string
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
      required:
        - name
        - primaryType
        - aliases
        - domains
    GlobalCompanyResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryType:
          enum:
            - brand
            - rep
            - dealer
            - distributor
          type: string
        legalName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
        retiredAt:
          type: string
          nullable: true
      required:
        - id
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - retiredAt

````